local_costmap:
    frame_id: odom
    plugins:
        - {name: virtual_walls_map, type: "costmap_2d::StaticLayer" } # các ô chi phí xung quanh "tường ảo" sẽ được tăng lên giá trị cao hơn, tạo ra một vùng an toàn xung quanh các vật cản.
        - {name: obstacles,  type: "costmap_2d::VoxelLayer" }        # các ô chi phí xung quanh các "vật cản" sẽ được tăng lên giá trị cao hơn, tạo ra một vùng an toàn xung quanh các vật cản.
        - {name: inflation,  type: "costmap_2d::InflationLayer" }     # các ô chi phí xung quanh các "vật cản" sẽ được tăng lên giá trị cao hơn, tạo ra một vùng an toàn xung quanh các vật cản.
        # - {name: critical_zones_map, type: "costmap_2d::CriticalLayer" }